<?php
/**
 * Plugin Name: Keyword Research Tool
 * Plugin URI: https://yourwebsite.com/keyword-research-tool
 * Description: A simple keyword research tool for WordPress users
 * Version: 1.0.0
 * Author: Your Name
 * Author URI: https://yourwebsite.com
 * Text Domain: keyword-research-tool
 */

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

// Define plugin constants
define('KRT_VERSION', '1.0.0');
define('KRT_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('KRT_PLUGIN_URL', plugin_dir_url(__FILE__));

// Include required files
require_once KRT_PLUGIN_DIR . 'includes/class-keyword-research-tool.php';
require_once KRT_PLUGIN_DIR . 'includes/class-keyword-api.php';

// Initialize the plugin
function krt_initialize_plugin() {
    $keyword_research_tool = new Keyword_Research_Tool();
    $keyword_research_tool->init();
}
add_action('plugins_loaded', 'krt_initialize_plugin');

// Register activation hook
register_activation_hook(__FILE__, 'krt_activate_plugin');
function krt_activate_plugin() {
    // Activation code here
}

// Register deactivation hook
register_deactivation_hook(__FILE__, 'krt_deactivate_plugin');
function krt_deactivate_plugin() {
    // Deactivation code here
}